/*
 * @Descripttion: 
 * @version: 
 * @Author: ysh
 * @Date: 2023-06-07 09:58:42
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2023-06-27 18:07:37
 */
import hasRole from './permission/hasRole'
import hasPermi from './permission/hasPermi'
import copyText from './common/copyText'
import { setupDragDirective } from './drag.ts';
export default function directive(app) {
  app.directive('hasRole', hasRole)
  app.directive('hasPermi', hasPermi)
  app.directive('copyText', copyText)
  setupDragDirective(app)
}